<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .block{
            display: flex;
            flex-direction: column;
            flex-wrap: wrap;
            align-items: flex-start;
        }
        
        .block .decoration{
            
            text-decoration: none;
            color: black;
            font-size: large;
            padding: 30px;
            background-color: grey;
            margin: 15px;
        }

       
         .block .button1{
            transition-property: all;
            transition-duration: 300ms;
            transition-timing-function: ease-in-out;

         }
        
        .block .button1:hover{
            background-color: indigo;

        }

        .block .button2{
            transition-property: all;
            transition-duration: 500ms;
            transition-timing-function: ease-out;

       }
        .block .button2:hover{
            background-color: lightcoral;
            color: rgb(5, 128, 11);
            border-radius: 5px;
        }

        .block .button3{
            transition-property: all;
            transition-duration: 500ms;
            transition-timing-function: ease-in;

        }
        
        .block .button3:hover{
            background-color: magenta;
            font-size: x-large;
        }
        
        .block .button4{
            transition-property: all;
            transition-duration: 500ms;
            transition-timing-function: ease-in;
           

            
        }

        .block .button4:hover{
            background-color: maroon;
            color: mediumspringgreen;
            transform: skew(5deg , 5deg) scale(1.1);

        }

        .block .button5{
            transition-property: all;
            transition-duration: 500ms;
            transition-timing-function: cubic-bezier(1,1.55,0,.73)

        }

        .block .button5:hover{
             
box-shadow: 26px 21px 29px 13px #FF1717;;
        }


       

        
    </style>
</head>
<body>
    <div class="block">
          <a href="#" class="button1 decoration">Button1</a>
          <a href="#" class="button2 decoration">Button2</a>
          <a href="#" class="button3 decoration">Button3</a>
          <a href="#" class="button4 decoration">Button4</a>
          <a href="#" class="button5 decoration">Button5</a>

    </div>
</body>
</html>